<?php
require_once '../../init.php';
require_once MAX_PATH . '/www/admin/config.php';
if($GLOBALS['_MAX']['CONF']['database']['type']=='mysql')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
}
else if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}
else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
OA_Permission::enforceAccount(OA_ACCOUNT_ADMIN);
$title="Custom token targeting";
$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel($title);
phpAds_PageHeader('token-index', $oHeaderModel);
// Prepare an array for storing error messages
$aErrormessage = array();
$a='http://'.$GLOBALS['conf']['webpath']['admin'].'/';
?>
<div class="tableWrapper">
    <div class="tableHeader">
        <ul class='tableActions'>
 	        <li>
		<a id='approveSelection' href='djax-addtoken.php' class='inlineIcon iconTargetingChannelAdd'>Add New Custom Token</a>&nbsp;          
          	</li>
        </ul>
        <div class="clear"></div>
        <div class="corner left"></div>
        <div class="corner right"></div>
    </div>
    <table cellspacing="0" summary="">
        <thead>
		<tr>
		<th class='first toggleAll'>
                 
		</th>
                <th>
                    <a href="#">Token Name</a>
                </th>
                <th>
                    <a href="#">Action</a>
                </th>
		 <th>
                 
                </th>
		</tr>
        </thead>

   <tbody>
<?php
$tempQuery= OA_Dal_Delivery_query("Select * FROM ".$table_prefix."dj_token"); 
$i =1;
if(OA_Dal_Delivery_numRows($tempQuery)>0)
{
	while($row=OA_Dal_Delivery_fetchAssoc($tempQuery))
	{
	if($i == 1) {

		$_class = "odd";

	} elseif($i%2 == 0) {

		$_class = "even";

	} else {

		$_class = "odd";

	}

?>
<tr class="<?php echo $_class; ?>">
	<td class='toggleSelection'>
		<input type='checkbox' value="<?php print_r($row['id']);?>" />
	</td>
	<td>
		<a href="djax-token-edit.php?id=<?php echo $row['id'];?>&action=edit" class='inlineIcon iconAdx'><?php print_r($row['djtokenname']); ?></a>
	</td>
	<td>
		<a  href="djax-token-edit.php?id=<?php echo $row['id'];?>&action=edit">Edit</a> 
			&nbsp; / &nbsp; 
		<a  href="djax-token-edit.php?id=<?php echo $row['id'];?>&action=delete">Delete</a> 
			&nbsp;
	</td> 
<td class="alignRight verticalActions"><ul class="rowActions"> <li></li></ul></td></tr>

<?php 


	$i++;
}
}
else
{
?>
	<tr class='odd'>
		<td colspan='6'>&nbsp;</td>
	</tr>
         <tr class='even'>
             <td colspan='4' class="hasPanel">
                 <div class='tableMessage'>
                      <div class='panel'>
                           Currently there are no token avilable
                            <div class='corner top-left'></div>
                            <div class='corner top-right'></div>
                            <div class='corner bottom-left'></div>
                            <div class='corner bottom-right'></div>
                        </div>
                    </div>

                </td>
 			<td>&nbsp;</td>
            </tr>
           
            <tr class='odd'>
                <td colspan='4'>&nbsp;</td>
				<td colspan='4'>&nbsp;</td>
            </tr>
<?php
}
?>

</tbody>
</table></div>

<script type="text/javascript">

GB_myShow1 = function(caption, url, /* optional */ height, width, callback_fn) {

    var options = {
        caption: caption,
        height: height || 350,
        width: width || 605,
        fullscreen: false,
        show_loading: false,
        callback_fn: callback_fn
    }
    var win = new GB_Window(options);
    return win.show(url);
}

</script>


<?php

phpAds_PageFooter();

?>



