<?php
require_once '../../init.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/lib/OA/Admin/Option.php';
if($GLOBALS['_MAX']['CONF']['database']['type']=='mysql')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
}
else if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}
else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_ADMIN);
//Get Table prefix
$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
if (isset($_POST['submitok']) && $_POST['submitok'] == 'true') 
{
	$translation = new OX_Translation();
	if(empty($_POST['token']))
	{
			$translated_message = $translation->translate ("<b style='color:red'>Required to fill all the fields.</b>");
			OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
	}
	else
	{

			$rows=OA_Dal_Delivery_numRows(OA_Dal_Delivery_query("select * from ".$table_prefix."dj_token where djtokenname='".$_POST['tokenname']."'"));
			
			if($rows==0)
			{
				OA_Dal_Delivery_query("INSERT INTO `{$table_prefix}dj_token` (`djtokenname`) VALUES ('".$_POST['tokenname']."')");
				$translated_message = $translation->translate ("<b>".$_POST['tokenname']." Custom token </b> Has Been Added.");
				OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
				$nextPage = "djax-token.php";
				 // Go to the next page
				Header("Location: $nextPage");
			exit;
			}
			else
			{
				$translated_message = $translation->translate ("<b>".$_POST['tokenname']." Token </b> already exists,try with new token.");
				OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
			}
	}
}
$aErrormessage = array();
$oOptions = new OA_Admin_Option('settings');
$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel("Custom token Details");
phpAds_PageHeader('token-index', $oHeaderModel);
$aSettings = array(
   array (
        'text'    => 'Custom token Details',
        'items'   => array (
					array (
					'type'    => 'text',
					'text'    => 'Custom Token Name',
					'name'    => 'tokenname',
					'value'   => '',
					'req'     => true
				    ),
				    array (
					'type'  => 'break'
					)
			  )
	 )
);
$oOptions->show($aSettings, null);
phpAds_PageFooter();

?>
