<?php
require_once '../../init.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/lib/OA/Admin/Option.php';
if($GLOBALS['_MAX']['CONF']['database']['type']=='mysql')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
}
else if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}
else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_ADMIN);
//Get Table prefix
$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
if (isset($_POST['submitok']) && $_POST['submitok'] == 'true') 
{
	$translation = new OX_Translation();
	if(empty($_POST['tokenname']))
	{
				$translated_message = $translation->translate ("<b style='color:red'>Required to fill all the fields.</b>");
				OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
	}
	else
	{			
				$rows=OA_Dal_Delivery_numRows(OA_Dal_Delivery_query("select * from ".$table_prefix."dj_token where djtokenname='".$_POST['tokenname']."'"));
				if($rows==0)
				{ 
					OA_Dal_Delivery_query("UPDATE ".$table_prefix."dj_token SET djtokenname='".$_POST['tokenname']."' WHERE id='".$_POST['id']."'");
			
					$translated_message = $translation->translate ("<b>".$_POST['tokenname']."</b> Has Been updated successfully.");
					OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
					OX_Admin_Redirect::redirect("djax-token-edit.php?id=".$_REQUEST['id']."&action=edit");
				}
				else
				{
					$translated_message = $translation->translate ("<b>".$_POST['tokenname']." Token </b> already exists,try with new token.");
					OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
					OX_Admin_Redirect::redirect("djax-token-edit.php?id=".$_REQUEST['id']."&action=edit");
				}
	}    
}
else if(isset($_GET['action']) && $_GET['action'] == 'delete')
{
	OA_Dal_Delivery_query("DELETE FROM ".$table_prefix."dj_token  WHERE id='".$_GET['id']."'");
	OX_Admin_Redirect::redirect("djax-token.php");
}
else if(isset($_GET['action']) && $_GET['action'] == 'edit')
{
	$aErrormessage = array();
	$oOptions = new OA_Admin_Option('settings');
	$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel("Token Details");
	phpAds_PageHeader('token-index', $oHeaderModel);
	$getadexchnage=OA_Dal_Delivery_query("SELECT * FROM ".$table_prefix."dj_token where id='".$_GET['id']."'");
	$getdetails=OA_Dal_Delivery_fetchAssoc($getadexchnage);
	$aSettings = array(
	   array (
		'text'    => 'Parameter Details',
		'items'   => array (
					   array (
						'type'    => 'text',
						'text'    => 'Custom token name',
						'name'    => 'tokenname',
						'value'   => $getdetails['djtokenname'],
						'req'     => true
					    ),
						array (
						'type'    => 'hiddenfield',
						'name'    => 'id',
						'value'   => $_GET['id']
					    )
				  )
		 )
	);
	$oOptions->show($aSettings, null);
}
phpAds_PageFooter();

?>
